Bug 1463222 - It is not possible to get debug logs from v2v triggered from UI
It is not possible to get debug logs from v2v triggered from UI
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: libguestfs (Show other bugs)
4.0.7
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Michal Skrivanek
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 07:59 EDT by Roman Hodain
Modified: 2017-07-09 08:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-21 10:58:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3108591 None None None 2017-07-09 08:19 EDT

  None (edit)
Description Roman Hodain 2017-06-20 07:59:25 EDT
Description of problem:
There is not way to trigger DEBUG logs for v2v when the triggered from webadmin

Version-Release number of selected component (if applicable):
RHVM 4.1

How reproducible:
100%

Steps to Reproduce:
1.Run import from regular kvm or VMWare

Actual results:
No debug logs

Expected results:
debug logs forwarded to a log file on a hypervisor

Additional info:
We need the ability to trigger the same debug logging as when using directly v2v.

export LIBGUESTFS_TRACE=1
export LIBGUESTFS_DEBUG=1

virt-v2v ...
Comment 2 Tomas Jelinek 2017-06-21 03:12:08 EDT
You mean [1] is not working? The logs should be in /var/log/vdsm/import

Or did you have something else in mind?

[1]: https://bugzilla.redhat.com/show_bug.cgi?id=1350465
Comment 4 Roman Hodain 2017-06-21 10:58:36 EDT
(In reply to Tomas Jelinek from comment #2)
> You mean [1] is not working? The logs should be in /var/log/vdsm/import
> 
> Or did you have something else in mind?
> 
> [1]: https://bugzilla.redhat.com/show_bug.cgi?id=1350465

Yes it is there, my bad. I missed that RFE.
Comment 5 Marina 2017-06-22 01:41:30 EDT
(In reply to Roman Hodain from comment #4)
> (In reply to Tomas Jelinek from comment #2)
> > You mean [1] is not working? The logs should be in /var/log/vdsm/import
> > 
> > Or did you have something else in mind?
> > 
> > [1]: https://bugzilla.redhat.com/show_bug.cgi?id=1350465
> 
> Yes it is there, my bad. I missed that RFE.

Roman, can you please create a kcs?
If no one in the team new about it, then probably having a kcs would help spreading the knowledge better. Thanks!

Note You need to log in before you can comment on or make changes to this bug.